Skip to main content

Create Subnet

POST 

/projects/:projectId/providers/Aruba.Network/vpcs/:vpcId/subnets

Create Subnet

Request

Path Parameters

    projectId stringrequired

    unique identifier of the project CMP

    vpcId stringrequired

    unique identifier of the vpc in which the subnet will be created

Query Parameters

    api-version string

    The requested API version

    Default value: 1

Body

the subnet to create

    metadata

    object

    Metadata of the resource

    name string

    Name of the resource

    location

    object

    Contains information about the Region of a resource

    value string

    Value of the region in which the resource will be located. Available regions at present:

    • ITBG-Bergamo

    For more information, check the documentation.

    tags string[]nullable

    List of tags for the resource

    properties

    object

    nullable

    Properties of a subnet to create

    type SubnetType (string)

    Type of the subnet. Available values:

    • Basic
    • Advanced

    With Basic type, every configuration settings of the subnet will be automatically handled by the CMP. With Advanced type, configuration settings must be evaluated by the user.

    Possible values: [Basic, Advanced]

    default boolean

    Indicates if the subnet must be a default subnet. Only one default subnet for vpc is admissible.

    network

    object

    nullable

    Details of the network

    address string

    Address of the network in CIDR Notation. The IP range must be between 10.0.0.0/8, 172.16.0.0/12, 192.168.0.0/16

    dhcp

    object

    nullable

    Details of the dhcp

    enabled boolean

    True if you want to enalbe the DHCP

    range

    object

    Range values for ip addresses

    start string

    Starting ip address

    count int32

    Number of available ip addresses

    routes

    object[]

    nullable

    List of routes

  • Array [

  • address string

    Ip address of the route

    gateway string

    Gateway

  • ]

  • dns string[]nullable

    List of dns (ip addresses)

Responses

Created

Schema

    metadata

    object

    nullable

    id stringnullable
    uri stringnullable
    name stringnullable

    location

    object

    nullable

    code stringnullable
    country stringnullable
    city stringnullable
    name stringnullable
    value stringnullable

    project

    object

    nullable

    id stringnullable
    folderId stringnullable
    tags string[]nullable

    category

    object

    nullable

    name stringnullable
    provider stringnullable

    typology

    object

    nullable

    id stringnullable
    name stringnullable
    creationDate date-timenullable
    createdBy stringnullable
    ownerId stringnullable
    updateDate date-timenullable
    updatedBy stringnullable
    version stringnullable
    createdUser stringnullable
    updatedUser stringnullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • managedBy stringnullable

    status

    object

    nullable

    state stringnullable
    creationDate date-timenullable

    disableStatusInfo

    object

    nullable

    isDisabled boolean
    reasons string[]

    previousStatus

    object

    nullable

    state stringnullable
    creationDate date-timenullable
    failureReason stringnullable

    error

    object

    nullable

    reason stringnullable
    message stringnullable

    properties

    object

    nullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • vpc

    object

    nullable

    the vpc where the subnet belongs

    uri stringnullable
    type SubnetType (string)

    type of the subnet

    Possible values: [Basic, Advanced]

    default boolean

    Indicates if the security group is the default one within the vpc

    network

    object

    nullable

    Details of the network

    address string

    Address of the network in CIDR Notation

    gateway string

    IP address of the gateway

    dhcp

    object

    nullable

    Details of the dhcp

    enabled boolean

    True if dhcp is enables

    range

    object

    Range values for ip addresses

    start string

    First ip address

    count int32

    Number of available ip addresses

    last string

    Last ip address

    routes

    object[]

    List of routes

  • Array [

  • address string

    Ip address of the route

    gateway string

    Gateway

  • ]

  • dns string[]

    List of dns

Loading...